gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An HBox is a specific type of for packing widgets horizontally.

Other ways of laying out widgets include using a vertical box, (see ), a table, (see ), button boxes, etc.

Useful methods for manipulating boxes can be found in the superclass for HBox, .

Gtk.Box Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of HBox, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of HBox, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The main way to create a new HBox.
  If , all widgets in the box are forced to be equally sized.
  The number of pixels to place between each widget in the box.

  A new HBox

- Constructor
  Internal constructor, should not be used.
- Property
  System.UInt32 The GLib Type for Gtk.HBox The GLib TYpe for the Gtk.HBox class.